Bug 1383305 - Please configure the url_base /etc/swift/proxy-server.conf
Summary: Please configure the url_base /etc/swift/proxy-server.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Thiago da Silva
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-10 11:51 UTC by Attila Fazekas
Modified: 2016-12-14 16:15 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-1.7.el7ost puppet-swift-9.4.3-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:15:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 394490 None None None 2016-11-10 15:29:14 UTC
OpenStack gerrit 395654 None None None 2016-11-10 15:27:20 UTC

Description Attila Fazekas 2016-10-10 11:51:46 UTC
Description of problem:

Staticweb uses an absolute url in his redirect reposes,
which leads to failure in the tempest tests in an ssl setup.


The swift started to provide this option for solving the issue:

https://review.openstack.org/#/c/372809/2/etc/proxy-server.conf-sample


python-swiftclient-3.1.0-0.20160920234445.cbd71a8.el7ost.noarch
openstack-swift-object-2.10.1-0.20160929005314.3349016.el7ost.noarch
openstack-swift-proxy-2.10.1-0.20160929005314.3349016.el7ost.noarch
puppet-swift-9.4.0-1.el7ost.noarch
python-swift-2.10.1-0.20160929005314.3349016.el7ost.noarch
openstack-swift-account-2.10.1-0.20160929005314.3349016.el7ost.noarch
openstack-swift-container-2.10.1-0.20160929005314.3349016.el7ost.noarch
(.venv)[root@undercloud-0 tempest-dir]# rpm -qa |grep triple
openstack-tripleo-heat-templates-5.0.0-0.20161003064637.d636e3a.1.1.el7ost.noarch
openstack-tripleo-0.0.1-0.20160916135259.4de13b3.el7ost.noarch
python-tripleoclient-5.2.0-1.el7ost.noarch
openstack-tripleo-puppet-elements-5.0.0-0.20160929220627.200d011.el7ost.noarch
puppet-tripleo-5.2.0-1.el7ost.noarch
openstack-tripleo-common-5.2.1-0.20160930181658.40ad7e5.el7ost.noarch
openstack-tripleo-image-elements-5.0.0-0.20161002235922.14e1f41.el7ost.noarch
openstack-tripleo-ui-1.0.3-0.20160930145215.f7297c3.el7ost.noarch


The failing tempest tests are:
tempest.api.object_storage.test_container_staticweb.StaticWebTest.test_web_index [0.111226s] ... FAILED
tempest.api.object_storage.test_container_staticweb.StaticWebTest.test_web_listing_css [0.100988s] ... FAILED

Comment 3 Pete Zaitcev 2016-10-20 15:12:32 UTC
The problem with Tripple-O that prompted this fix was that it uses SSL
(which is great), but Swift has no way to know that. In such cases,
it is best to set the url_base to "https://" and nothing else. Other
parts will be properly determined automatically.

Comment 9 Thiago da Silva 2016-11-02 18:38:34 UTC
I've submitted two patches to triplo to include url_base option in swift config during deployment:

https://review.openstack.org/#/c/392917/
https://review.openstack.org/#/c/392918/

Comment 10 Jon Schlueter 2016-11-10 15:29:15 UTC
both patches mentioned in #9 merged on master

https://review.openstack.org/#/c/395654 - proposed
https://review.openstack.org/#/c/394490 - merged

Comment 11 Paul Grist 2016-11-10 19:50:04 UTC
Jumped the gun, POST

Comment 19 errata-xmlrpc 2016-12-14 16:15:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.